import https from '@/plugins/luch-request_0.0.7/request'

/** *
 * 登陆客户的优惠情况 m
 */
// export const discount = data => {
// 	return https.get('/user/discount', data)
// }

/** *
 * 登陆客户的优惠券列表 m
 */
// export const list = data => {
// 	return https.get('/user/discount', data)
// }

/** *
 * 优惠券列表 m
 */
export const getList = data => {
	return https.get('/coupon/list', data)
}

// =====================  B 端 ========================

/** *
 * 优惠券列表 b
 */
export const getListB = data => {
	return https.get('/coupon/list', data)
}

/** *
 * 新人优惠券设置的详情 b
 */
export const couponAssetDet = data => {
	return https.get('/coupon-asset/detail', data)
}

/** *
 * 奖励设置详情 b
 */
export const couponAssetUpdate = data => {
	return https.post('/coupon-asset/update', data)
}
